# Get All Documents Stream

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"Get All Documents Stream"}
>
</Heading>

<MethodEndpoint
  method={"post"}
  path={"/api/v1/workspaces/{workspace_name}/indexes/{index_name}/documents-stream"}
  context={"endpoint"}
>
  
</MethodEndpoint>

Returns all documents created for a pipeline.

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"description":"The name of the pipeline.","in":"path","name":"index_name","required":true,"schema":{"description":"The name of the pipeline.","title":"Index Name","type":"string"}},{"description":"Type the name of the workspace.","in":"path","name":"workspace_name","required":true,"schema":{"description":"Type the name of the workspace.","title":"Workspace Name","type":"string"}},{"in":"header","name":"accept","required":false,"schema":{"default":"application/json","title":"Accept","type":"string"}}]}
>
  
</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={{"content":{"application/json":{"schema":{"description":"Retrieval parameters for the pipeline index.","properties":{"filters":{"anyOf":[{"properties":{"conditions":{"description":"The conditions you want to use for logical conditions.","items":{"anyOf":[{"properties":{"field":{"description":"The field you want to compare.","title":"Comparison Condition Field","type":"string"},"operator":{"description":"The operator you want to use for comparison.","title":"Comparison Condition Operator","enum":["==","!=",">",">=","<","<=","in","not in"],"type":"string"},"value":{"description":"The value you want to compare the field to.","title":"Comparison Condition Value"}},"required":["field","operator","value"],"title":"ComparisonCondition","type":"object"},"circular(LogicalCondition)"]},"title":"Conditions","type":"array"},"operator":{"description":"The operator you want to use for logical conditions.","title":"Logical Condition Operator","enum":["AND","OR","NOT"],"type":"string"}},"required":["operator","conditions"],"title":"LogicalCondition","type":"object"},{"properties":{"field":{"description":"The field you want to compare.","title":"Comparison Condition Field","type":"string"},"operator":{"description":"The operator you want to use for comparison.","title":"Comparison Condition Operator","enum":["==","!=",">",">=","<","<=","in","not in"],"type":"string"},"value":{"description":"The value you want to compare the field to.","title":"Comparison Condition Value"}},"required":["field","operator","value"],"title":"ComparisonCondition","type":"object"},{"additionalProperties":false,"properties":{},"title":"EmptyFilters","type":"object"},{"type":"null"}],"description":"Filters you can use to narrow down the search. For more information, see [filtering logic](https://docs.cloud.deepset.ai/docs/filtering-logic).","title":"Haystack Filters"},"limit":{"anyOf":[{"exclusiveMinimum":0,"type":"integer"},{"type":"null"}],"description":"Limits the number of documents returned.","title":"Limit"},"return_embedding":{"anyOf":[{"type":"boolean"},{"type":"null"}],"description":"Returns vector representations of the documents.","title":"Return Embedding"},"use_prefiltering":{"anyOf":[{"type":"boolean"},{"type":"null"}],"description":"Specifies if documents should be prefiltered in the document store instead of within the retriever. DEPRECATED: This parameter will be removed in a future version. Use efficient_filtering parameter instead.","title":"Use Prefiltering"}},"title":"FetchDocumentsParams","type":"object"}}},"required":true}}
>
  
</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"description":"Successful Response"},"404":{"description":"The index was not found in the workspace."},"406":{"description":"The server cannot produce a response matching the request. Requested format: your-accept-header"},"422":{"content":{"application/json":{"schema":{"properties":{"detail":{"items":{"properties":{"ctx":{"title":"Context","type":"object"},"input":{"title":"Input"},"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"title":"Location","type":"array"},"msg":{"title":"Message","type":"string"},"type":{"title":"Error Type","type":"string"}},"required":["loc","msg","type"],"title":"ValidationError","type":"object"},"title":"Detail","type":"array"}},"title":"HTTPValidationError","type":"object"}}},"description":"Validation Error"}}}
>
  
</StatusCodes>
